"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPipelines_1 = require("../model/operations/ListPipelines");
var ListPipelinesCommand = /** @class */ (function () {
    function ListPipelinesCommand(input) {
        this.input = input;
        this.model = ListPipelines_1.ListPipelines;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPipelinesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPipelinesCommand;
}());
exports.ListPipelinesCommand = ListPipelinesCommand;
//# sourceMappingURL=ListPipelinesCommand.js.map