"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelJobInput_1 = require("../shapes/CancelJobInput");
var CancelJobOutput_1 = require("../shapes/CancelJobOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelJob",
    http: {
        method: "DELETE",
        requestUri: "/2012-09-25/jobs/{Id}"
    },
    input: {
        shape: CancelJobInput_1.CancelJobInput
    },
    output: {
        shape: CancelJobOutput_1.CancelJobOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=CancelJob.js.map