"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePipelineInput_1 = require("../shapes/DeletePipelineInput");
var DeletePipelineOutput_1 = require("../shapes/DeletePipelineOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePipeline",
    http: {
        method: "DELETE",
        requestUri: "/2012-09-25/pipelines/{Id}"
    },
    input: {
        shape: DeletePipelineInput_1.DeletePipelineInput
    },
    output: {
        shape: DeletePipelineOutput_1.DeletePipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DeletePipeline.js.map