"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePresetInput_1 = require("../shapes/DeletePresetInput");
var DeletePresetOutput_1 = require("../shapes/DeletePresetOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePreset",
    http: {
        method: "DELETE",
        requestUri: "/2012-09-25/presets/{Id}"
    },
    input: {
        shape: DeletePresetInput_1.DeletePresetInput
    },
    output: {
        shape: DeletePresetOutput_1.DeletePresetOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DeletePreset.js.map