"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _JobInput_1 = require("./_JobInput");
var _JobInputs_1 = require("./_JobInputs");
var _JobOutput_1 = require("./_JobOutput");
var _JobOutputs_1 = require("./_JobOutputs");
var _Playlists_1 = require("./_Playlists");
var _UserMetadata_1 = require("./_UserMetadata");
var _Timing_1 = require("./_Timing");
exports._Job = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string"
            }
        },
        Arn: {
            shape: {
                type: "string"
            }
        },
        PipelineId: {
            shape: {
                type: "string"
            }
        },
        Input: {
            shape: _JobInput_1._JobInput
        },
        Inputs: {
            shape: _JobInputs_1._JobInputs
        },
        Output: {
            shape: _JobOutput_1._JobOutput
        },
        Outputs: {
            shape: _JobOutputs_1._JobOutputs
        },
        OutputKeyPrefix: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Playlists: {
            shape: _Playlists_1._Playlists
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        UserMetadata: {
            shape: _UserMetadata_1._UserMetadata
        },
        Timing: {
            shape: _Timing_1._Timing
        }
    }
};
//# sourceMappingURL=_Job.js.map